Delete Member
Endpoint used to delete a member from the unit.
Request Example
Section titled “Request Example”curl --request DELETE \ --url https://chat.api.toolzz.com.br/api/v2/member/id/{id} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "message": "<string>", "id": "<string>", "institutionId": "<string>", "unityId": "<string>", "userId": "<string>", "name": "<string>", "email": "<string>", "access": "<string>", "status": 123, "acceptedAt": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "user": { "id": "<string>", "name": "<string>", "email": "<string>", "verified": true }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters
Section titled “URL Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
id | UUID | Unique member identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
message | String | Informative message about the operation status. |
id | UUID | Unique identifier of the member’s link record. |
institutionId | UUID | Identifier of the institution the member belongs to. |
unityId | UUID | Identifier of the linked organizational unit. |
userId | UUID | Global user identifier in the system. |
name | String | User name as registered in the invitation/link. |
email | String | Linked member’s email address. |
access | String | Assigned permission level (e.g., admin, operator). |
status | Number | Numeric status code (e.g., 1 for active, 0 for pending). |
acceptedAt | String | Date and time the invitation was accepted (ISO 8601). |
createdAt | String | Link record creation date and time. |
updatedAt | String | Last record modification date and time. |
user | Object | Object containing the user’s security and identification profile. |
user.id | UUID | Unique user ID within the profile object. |
user.name | String | User’s full name in the global profile. |
user.email | String | User’s primary email in the global profile. |
user.verified | Boolean | Indicates if the user has already performed email verification in the system. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
